
from odoo import api, models

class HrContractSalaryOffer(models.Model):
    _inherit = 'hr.contract.salary.offer'

    @api.autovacuum
    def _gc_expired_simulation_offer(self):
        expired_simulation_offer = self.search([
            ('employee_id', '=', False),
            ('applicant_id', '=', False),
            ('state', '=', 'expired')
        ])
        expired_simulation_offer.unlink()
